{% extends 'base_permanencier.html' %}
{% load crispy_forms_tags %}
{% block title %}Enregistrement d'une transaction{% endblock %}
{% block content %}
    <div class="mb-2">
        <a class="btn btn-warning" href="{% url 'billet-create' order_id=order.id %}">Rajouter un billet</a>
    </div>
    <div class="card">
        <div class="card-body">
            <div class="card-title">
                <h5>Prix : {{ order.amount }} €</h5>
            </div>
            <form method="POST" class="post-form">
                {% csrf_token %}
                {{ form | crispy }}
                <p>
                    <button class="btn btn-success">Finaliser la transaction</button>
                    En cliquant sur ce bouton, vous confirmez que le client a payé.
                </p>
            </form>
        </div>
    </div>

    <div class="card mt-2">
        <div class="card-header">
            <h5>
                Billets à payer <a class="btn btn-primary" href="{% url 'order-view' pk=order.pk %}">Modifier la
                commande</a>
            </h5>
        </div>
        <div class="card-body">
            <ul>
                {% for billet in order.billets.all %}
                    <li>
                        <div class="d-flex flex-row justify-content-between">
                            <div>
                                <a href="{% url 'billet-edit' pk=billet.pk order_id=billet.order.id %}">{{ billet }}</a>
                                : {{ billet.product }}
                                <ul>
                                    {% for part in billet.participants.all %}
                                        <li>{{ part }}</li>
                                    {% endfor %}
                                </ul>
                                {% for option in billet.options.all %}
                                    {{ option }}
                                {% endfor %}
                            </div>
                        </div>
                    </li>
                {% endfor %}
            </ul>
        </div>
    </div>
{% endblock %}